# org.pdfclown.documents.PageElements< TItem > Class Template Reference

Page elements. More...

Inheritance diagram for org.pdfclown.documents.PageElements< TItem >:

List of all members.

## Public Member Functions
virtual void | Add (TItem item)
override void | Add (TItem @object)
virtual void | Clear ()
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
override object | Clone (Document context)
virtual bool | Contains (TItem item)
virtual void | CopyTo (TItem[] items, int index)
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
virtual IEnumerator< TItem > | GetEnumerator ()
override int | GetHashCode ()
virtual int | IndexOf (TItem item)
virtual void | Insert (int index, TItem item)
override void | Insert (int index, TItem @object)
virtual bool | Remove (TItem item)
override bool | Remove (TItem @object)
override void | RemoveAt (int index)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Array< T > | Wrap< T > (Array< T >.IWrapper< T > itemWrapper, PdfDirectObject baseObject)
| Wraps an existing base array using the specified wrapper for wrapping its items.
static Array< T > | Wrap< T > (PdfDirectObject baseObject)
| Wraps an existing base array using the default wrapper for wrapping its items.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
virtual int | Count`[get]`
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
virtual bool | IsReadOnly`[get]`
Page | Page`[get]`
| Gets the page associated to these elements.
virtual TItem | this [int index]`[get, set]`

##

### template<TItem>
class org::pdfclown::documents::PageElements< TItem >

Page elements.

Type Constraints

  TItem | : | PdfObjectWrapper<PdfDictionary> |

## Member Function Documentation

template<TItem >

virtual void org.pdfclown.objects.Array< TItem >.Add | ( | TItem | item | ) | `[virtual, inherited]`

template<TItem >

override void org.pdfclown.documents.PageElements< TItem >.Add | ( | TItem @ | object | ) |

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

template<TItem >

virtual void org.pdfclown.objects.Array< TItem >.Clear | ( |  | ) | `[virtual, inherited]`

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

template<TItem >

override object org.pdfclown.documents.PageElements< TItem >.Clone | ( | Document | context | ) |

template<TItem >

virtual bool org.pdfclown.objects.Array< TItem >.Contains | ( | TItem | item | ) | `[virtual, inherited]`

template<TItem >

virtual void org.pdfclown.objects.Array< TItem >.CopyTo | ( | TItem[] | items,
|  | int | index |
| ) |  |  | `[virtual, inherited]`

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfArray > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

template<TItem >

virtual IEnumerator<TItem> org.pdfclown.objects.Array< TItem >.GetEnumerator | ( |  | ) | `[virtual, inherited]`

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

template<TItem >

virtual int org.pdfclown.objects.Array< TItem >.IndexOf | ( | TItem | item | ) | `[virtual, inherited]`

template<TItem >

virtual void org.pdfclown.objects.Array< TItem >.Insert | ( | int | index,
|  | TItem | item |
| ) |  |  | `[virtual, inherited]`

template<TItem >

override void org.pdfclown.documents.PageElements< TItem >.Insert | ( | int | index,
|  | TItem @ | object |
| ) |  |  |

template<TItem >

virtual bool org.pdfclown.objects.Array< TItem >.Remove | ( | TItem | item | ) | `[virtual, inherited]`

template<TItem >

override bool org.pdfclown.documents.PageElements< TItem >.Remove | ( | TItem @ | object | ) |

template<TItem >

override void org.pdfclown.documents.PageElements< TItem >.RemoveAt | ( | int | index | ) | `[virtual]`

Reimplemented from org.pdfclown.objects.Array< TItem >.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

template<TItem >

static Array<T> org.pdfclown.objects.Array< TItem >.Wrap< T > | ( | Array< T >.IWrapper< T > | itemWrapper,
|  | PdfDirectObject | baseObject |
| ) |  |  | `[static, inherited]`

Wraps an existing base array using the specified wrapper for wrapping its items.

Parameters:

  | itemWrapper | Item wrapper.
  | baseObject | Base array. MUST be a reference every time available.

Type Constraints

  T | : | TItem |

template<TItem >

static Array<T> org.pdfclown.objects.Array< TItem >.Wrap< T > | ( | PdfDirectObject | baseObject | ) | `[static, inherited]`

Wraps an existing base array using the default wrapper for wrapping its items.

Parameters:

  | itemClass | Item class.
  | baseObject | Base array. MUST be a reference every time available.

Type Constraints

  T | : | TItem |

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

template<TItem >

virtual int org.pdfclown.objects.Array< TItem >.Count`[get, inherited]`

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

template<TItem >

virtual bool org.pdfclown.objects.Array< TItem >.IsReadOnly`[get, inherited]`

template<TItem >

Page org.pdfclown.documents.PageElements< TItem >.Page`[get]`

Gets the page associated to these elements.

template<TItem >

virtual TItem org.pdfclown.objects.Array< TItem >.this[int index]`[get, set, inherited]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.